Package org.apache.struts2.result.xslt

# Class XSLTResult

java.lang.Object
org.apache.struts2.result.xslt.XSLTResult

All Implemented Interfaces:
  `Serializable`, `Result`

public class XSLTResult extends Object implements Result
XSLTResult uses XSLT to transform an action object to XML.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_PARAM`
  'stylesheetLocation' parameter.
  `protected boolean`
  `noCache`
  Determines whether or not the result should allow caching.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XSLTResult()`
  `XSLTResult(String stylesheetLocation)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected ErrorListener`
  `buildErrorListener()`
  `protected TransformerFactory`
  `createTransformerFactory()`
  `void`
  `execute(ActionInvocation invocation)`
  `protected AdapterFactory`
  `getAdapterFactory()`
  `protected Source`
  `getDOMSourceForStack(Object value)`
  `String`
  `getEncoding()`
  `String`
  `getExposedValue()`
  `String`
  `getStatus()`
  `String`
  `getStylesheetLocation()`
  `protected Templates`
  `getTemplates(String path)`
  `protected URIResolver`
  `getURIResolver()`
  `protected void`
  `setAdapterFactory(AdapterFactory adapterFactory)`
  `void`
  `setEncoding(String encoding)`
  `void`
  `setExposedValue(String exposedValue)`
  `void`
  `setNoCache(String xsltNoCache)`
  `void`
  `setParse(boolean parse)`
  `void`
  `setStatus(String status)`
  `void`
  `setStylesheetLocation(String location)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_PARAM

    public static final String DEFAULT_PARAM
    'stylesheetLocation' parameter. Points to the xsl.
    See Also:
      - Constant Field Values

  - ### noCache

    protected boolean noCache
    Determines whether or not the result should allow caching.

- ## Constructor Details

  - ### XSLTResult

    public XSLTResult()

  - ### XSLTResult

    public XSLTResult(String stylesheetLocation)

- ## Method Details

  - ### setNoCache

    public void setNoCache(String xsltNoCache)

  - ### setStylesheetLocation

    public void setStylesheetLocation(String location)

  - ### getStylesheetLocation

    public String getStylesheetLocation()

  - ### getExposedValue

    public String getExposedValue()

  - ### setExposedValue

    public void setExposedValue(String exposedValue)

  - ### getStatus

    public String getStatus()

  - ### setStatus

    public void setStatus(String status)

  - ### getEncoding

    public String getEncoding()

  - ### setEncoding

    public void setEncoding(String encoding)

  - ### setParse

    public void setParse(boolean parse)
    Parameters:
      `parse` - if true, parse the stylesheet location for OGNL expressions.

  - ### execute

    public void execute(ActionInvocation invocation) throws Exception
    Specified by:
      `execute` in interface `Result`
    Throws:
      `Exception`

  - ### createTransformerFactory

    protected TransformerFactory createTransformerFactory()

  - ### buildErrorListener

    protected ErrorListener buildErrorListener()

  - ### getAdapterFactory

    protected AdapterFactory getAdapterFactory()

  - ### setAdapterFactory

    protected void setAdapterFactory(AdapterFactory adapterFactory)

  - ### getURIResolver

    protected URIResolver getURIResolver()
    Returns:
      the URI Resolver to be called by the processor when it encounters an xsl:include, xsl:import, or document() function. The default is an instance of ServletURIResolver, which operates relative to the servlet context.

  - ### getTemplates

    protected Templates getTemplates(String path) throws TransformerException, IOException
    Throws:
      `TransformerException`
      `IOException`

  - ### getDOMSourceForStack

    protected Source getDOMSourceForStack(Object value)